Bug 1732582 - image stream import integration tests aren't testing valid configuration
Summary: image stream import integration tests aren't testing valid configuration
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.3.0
Assignee: Oleg Bulatov
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-23 19:23 UTC by David Eads
Modified: 2019-11-01 20:57 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-01 20:57:00 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description David Eads 2019-07-23 19:23:59 UTC
Existing integration tests do not test valid configuration modes or mechanisms for the OCM.  They rely on modes of wiring that have not been valid since 3.11 and are now impossible to wire. The tests should either be unit tests checking the behavior of specific pieces or e2e tests checking wiring.  These are the final integration tests being snipped today:

  TestImageStreamImport
  TestImageStreamImportAuthenticated
  TestImageStreamImportOfMultiSegmentDockerReference
  TestImageStreamImportOfV1ImageFromV2Repository
  TestImageStreamImportScheduled
  TestImageStreamImportTagsFromRepository
  TestRegistryWhitelistingValidation

Comment 1 David Eads 2019-07-24 14:10:38 UTC
A handy link to the final state of test-integration: https://github.com/openshift/origin/tree/ac77c8a2e1f2b93131daca15d1fdbeb8832840e7/test/integration

Comment 2 Adam Kaplan 2019-07-30 19:45:15 UTC
@Oleg a similar card is being tracked on JIRA: https://jira.coreos.com/browse/DEVEXP-392

Comment 3 Adam Kaplan 2019-08-23 13:53:25 UTC
Targeting 4.3 - we will likely want to backport to 4.2.z only.

Comment 4 Adam Kaplan 2019-11-01 20:57:00 UTC
Oleg did a deep dive on this, and identified several areas to port over that DevEx is tracking in JIRA:

https://jira.coreos.com/browse/DEVEXP-450
https://jira.coreos.com/browse/DEVEXP-451
https://jira.coreos.com/browse/DEVEXP-452
https://jira.coreos.com/browse/DEVEXP-453


Note You need to log in before you can comment on or make changes to this bug.